%global momorel 2
%define tarball xf86-video-nouveau
%define moduledir %(pkg-config xorg-server --variable=moduledir )
%define driverdir %{moduledir}/drivers
%define nouveau_version 0.0.16

%global gitdate 20100615
%define git_version db98ad2

%define snapshot %{gitdate}git%{git_version}

%define tarfile %{tarball}-%{nouveau_version}-%{snapshot}.tar.bz2

Summary:   Xorg X11 nouveau video driver for NVIDIA graphics chipsets
Name:      xorg-x11-drv-nouveau
Version:   %{nouveau_version}
Release:   0.%{gitdate}.%{momorel}m%{?dist}
URL:       http://www.x.org
License:   MIT
Group:     User Interface/X Hardware Support
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


Source0:   %{tarfile}
#Source0: %{xorgurl}/driver/%{tarball}-%{version}-%{gitdate}.tar.bz2
#NoSource: 0

ExcludeArch: s390 s390x

BuildRequires: libtool automake autoconf
BuildRequires: xorg-x11-server-devel >= 1.8
BuildRequires: libdrm-devel >= 2.4.12-0.4
BuildRequires: mesa-libGL-devel
BuildRequires: kernel-headers >= 2.6.31

Requires:  hwdata
Requires:  xorg-x11-server-Xorg >= 1.8
Requires:  libdrm >= 2.4.12-0.4
#Requires:  kernel-drm-nouveau = 15

%description 
X.Org X11 nouveau video driver.

%prep
%setup -q -n %{tarball}-%{version}

%build
autoreconf -v --install
%configure --disable-static --with-kms=yes
%make

%install
rm -rf --preserve-root %{buildroot}

make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -regex ".*\.la$" | xargs rm -f --

%clean
rm -rf --preserve-root %{buildroot}

%files
%defattr(-,root,root,-)
%{driverdir}/nouveau_drv.so
%{_mandir}/man4/nouveau.4*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.16-0.20100615.2m)
- full rebuild for mo7 release

* Wed Jun 23 2010 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.0.16-0.20100615.1m)
- update 20100615

* Mon Apr 12 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.16-0.20100410.1m)
- support libdrm-2.4.20

* Sat Apr  3 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.16-0.20100218.1m)
- Source0: xf86-video-nouveau-0.0.16-20100218git2964702.tar.bz2
- sync with fc devel

* Sat Jan  9 2010 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.0.15-0.20091217.1m)
- Source0: xf86-video-nouveau-0.0.15-20091217gitbb19478.tar.bz2
- sync with fc devel

* Tue Nov 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.0.12-0.20090528.3m)
- rebuild with new xserver

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.0.12-0.20090528.2m)
- rebuild against gcc-4.4 and glibc-2.11

* Sat Jul  4 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.0.0-0.20090528-1m)
- update 20090528

* Thu Mar 26 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.0.0-0.20090326-1m)
- update 20090326

* Fri Mar 13 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.0.0-0.20090313-2m)
- import nouveau-fedora.patch from Fedora
 - * Fri Mar 13 2009 Ben Skeggs <bskeggs@redhat.com> 0.0.12-11.20090313git79d23d8
 - - kms: dpms fixes
 - - kms: nicer reporting of output properties to users
 - - improve init paths, more robust
 - - support for multiple xservers (fast user switching)
- import nouveau-eedid.patch from Fedora
 - * Fri Feb 27 2009 Adam Jackson <ajax@redhat.com> 0.0.12-6.20090224gitd91fc78
 - - nouveau-eedid.patch: Do EEDID.

* Fri Mar 13 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.0.0-0.20090313-1m)
- update git-20090313

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.0.0-0.20080915.2m)
- rebuild against rpm-4.6

* Mon Sep 15 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.0.0-0.20080914-1m)
- update git-20080914

* Mon Jul 14 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.0.0-0.20080714-1m)
- update git-20080714

* Thu Jul  3 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.0-0.20080703-1m)
- update git-20080703

* Sun May  4 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.0-0.20080504-1m)
- update git-20080504
- change BPR xorg-x11-server-sdk to xorg-x11-server-devel

* Sun Apr 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.0-0.20080413-1m)
- update 20080413

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.0.0-0.20080304.2m)
- rebuild against gcc43

* Tue Mar  3 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.0-0.20080304-1m)
- update 20080304

* Mon Jan 28 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.0-0.20080128-1m)
- update 20080128

* Sun Jan  4 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.0-0.20080106-1m)
- update 20080106

* Fri Sep 14 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.0-0.20070418-2m)
- rebuild against xorg-x11-server-1.4

* Thu Apr 18 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.0-0.20070418-1m)
- update 20070418

* Sat Mar  3 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.0-0.20070303-1m)
- update 20070303

* Thu Jan 11 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.0-0.20070110-1m)
- update 20070110

* Mon Jan  1 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.0-0.20061231-1m)
- Initial Commit

